<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<div class="property-filter pull-right text-sm text-muted">
    Afficher les propriétés :&nbsp;<select class="form-control input-sm" ng-model="$ctrl.propertyFilter">
        <option value="">Toutes</option>
        <option value="mapped">Alignées</option>
        <option value="anomaly">Avec anomalies</option>
    </select>
</div>
<h1>
    {{ $ctrl.resource.label }}
    <span class="label label-warning" ng-show="$ctrl.resource.obsolete">Obsolète</span>
    <span ng-show="!$ctrl.resource.obsolete">
        <span class="label label-danger" ng-show="$ctrl.data.report && !$ctrl.data.report.valid">Invalide</span>
        <span class="label label-success" ng-show="$ctrl.data.report.valid">Valide</span>
    </span>
</h1>

<div class="alert alert-warning" ng-show="$ctrl.resource.obsolete" >
    <p><strong>Cette ressource est obsolète et sera dépubliée lors du prochain traitement.</strong></p>
</div>

<div ng-show="!$ctrl.resource.obsolete">
    <div class="alert alert-success" ng-show="$ctrl.data.report.valid">
        <p><strong>Cette ressource est valide et peut être publiée !</strong></p>
    </div>

    <div class="alert alert-danger" ng-show="$ctrl.getReports(true).length > 0">
        <p><strong>Cette ressource rencontre des erreurs de validation :</strong></p>
        <ul><li ng-repeat="anomaly in $ctrl.getReports(true)"><strong title="{{anomaly.target}}" ng-if="anomaly.target">{{anomaly.targetLabel ? anomaly.targetLabel : anomaly.target}} :</strong> {{ anomaly.message }}</li></ul>
    </div>

    <div class="alert alert-warning" ng-show="$ctrl.getReports(false).length > 0">
        <p><strong>Cette ressource rencontre des avertissements de validation :</strong></p>
        <ul><li ng-repeat="anomaly in $ctrl.getReports(false)"><strong title="{{anomaly.target}}" ng-if="anomaly.target">{{anomaly.targetLabel ? anomaly.targetLabel : anomaly.target}} :</strong> {{ anomaly.message }}</li></ul>
    </div>
</div>


<!--<p class="bg-info abstract">Lorem ipsum</p>-->

<div ng-include="'resourceTable'" data-init="@{{resource = $ctrl.resource;}}" ng-if="$ctrl.resource"></div>
<!--<pre>{{ $ctrl.resource | json }}</pre>-->

<script type="text/ng-template" id="resourceTable">
    <div class="resource">
        <span class="prefLabel" title="{{ resource.uri }}">{{ resource.label ? resource.label : resource.uri }}</span>
        <div class="properties" ng-show="(resource.properties|filter:$ctrl.filterProperty).length > 0">
            <table class="table table-responsive">
                <tr ng-repeat-start="prop in resource.properties|filter:$ctrl.filterProperty|orderBy:$ctrl.orderProperty:true" ng-class="$ctrl.getPropertyStatus(prop)">
                    <td class="property" rowspan="{{prop.values.length}}">
                        <span title="{{prop.uri}}">{{ prop.label ? prop.label : prop.uri }}</span>
                    </td>

                    <td class="empty" ng-if="!prop.values.length">
                        <div ng-if="prop.anomalies.length" ng-repeat="anomaly in prop.anomalies" class="anomaly-message">{{ anomaly.message }}</div>
                    </td>

                    <td class="value" ng-include="'resourceValue'" ng-init="value = prop.values[0];"></td>
                </tr>
                <tr ng-repeat-end ng-repeat="value in prop.values.slice(1)">
                    <td class="value" ng-include="'resourceValue'"></td>
                </tr>
            </table>
        </div>
    </div>
</script>

<script type="text/ng-template" id="resourceValue">
    <span ng-if="value.uri" ng-include="'resourceTable'" ng-init="resource = value;"></span>
    <span ng-if="!value.uri" class="literal">{{ value }}</span>
</script>

<!--<pre>{{ $ctrl.data| json }}</pre>-->
